### Property

# Gtk IconView:columns

#### Declaration

    property columns: int [ read, write ]

#### Description [src]

The columns property contains the number of the columns in which the items should be displayed. If it is -1, the number of columns will be chosen automatically to fill the available area.

Type: | `gint`

Default value | -1
Getter method | `gtk_icon_view_get_columns()`
Setter method | `gtk_icon_view_set_columns()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no